<?php use_helper('UrlFunctions'); ?>
<script>

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>
<?php
if(myUser::getUser()->getIdPadre() == "1"){
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	 	
  	$IdPadre = $o_ColaboradorBeanResult[0]->getIdPadre();
  	
}else{//Solo los Hijos del Colaborador
	
  	$IdPadre = myUser::getUser()->getIdColaborador();
}



//Obtener el nombre del Adminitrador
$idAdministrador = $IdPadre;
$o_ColaboradorAdmin = new ColaboradorBean();
$o_ColaboradorAdmin->setIdColaborador($idAdministrador);

$o_ColaboradorAdminBL = new ColaboradorBL();
$a_o_Colaborador = $o_ColaboradorAdminBL->busquedaColaborador($o_ColaboradorAdmin);
foreach ($a_o_Colaborador as $key => $o_Colaborador){
	$NombreAdministrador = $o_Colaborador->getNombreCompleto();
}

$o_BalanceDiaNew = new BalanceDiaBean();
$o_BalanceDiaNew->setIdColaboradorPermitido($a_Colaborador); 
$o_BalanceDiaNew->setIdAdministrador($IdPadre); 
$o_BalanceDiaNew->setIdSucursal($IdSucursal); 


$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);


if(isset($control)){
  
  $o_AdelantoBean = new AdelantoBean();
  
  $o_AdelantoBean->setIdAdelanto($id);
  $o_AdelantoBean->setIdColaborador($cboColaborador);
  $o_AdelantoBean->setMonto($Monto);
  $o_AdelantoBean->setEstado($cboEstado);
  $o_AdelantoBean->setEliminado($Eliminado);
  $o_AdelantoBean->setFechaModificacion(date("Y-m-d H:i:s"));
  $o_AdelantoBean->setUsuarioModificacion(myUser::getUser()->getUserId());
  
  $o_AdelantoSystemClass = new AdelantoSystemClass($o_AdelantoBean);
  $bResult = $o_AdelantoSystemClass->actualizarAdelanto();
  
  if($bResult){
    ?>
    <script language="JavaScript">
    parent.objMainTab.reqBody('<?=buildUrl('ads/list_gen')?>','&block=001&insert=1&cod=<?=$o_AdelantoBean->getIdAdelanto()?>');
    parent.objMainTab.windowsCloseAll();
    </script>
    <?
  }else{
    $url = buildUrl('ads/add', "block=".$block."&error=1");
  }
  exit;
}

	
	
	$o_AdelantoBean = new AdelantoBean();
	$o_AdelantoBean->setIdAdelanto($id);
	$o_class = new AdelantoBL();
	$o_ObjectBean = $o_class->busquedaAdelanto($o_AdelantoBean);
	
	
	$o_ColaboradorAdmin = new ColaboradorBean();
	$o_ColaboradorAdmin->setIdColaborador($o_ObjectBean->getIdColaborador());

	$o_ColaboradorAdminBL = new ColaboradorBL();
	$a_o_Colaborador = $o_ColaboradorAdminBL->busquedaColaborador($o_ColaboradorAdmin);
	foreach ($a_o_Colaborador as $key => $o_Colaborador){
		//$IdPadre = $o_Colaborador->getIdPadre();
		$IdRol	 = $o_Colaborador->getIdRol();
		$NombreCompleto	 = $o_Colaborador->getApellidoPaterno()." ".$o_Colaborador->getApellidoMaterno().", ".$o_Colaborador->getNombres();
		if($IdRol == "sys.res"){
			$IdPadre = $o_Colaborador->getIdColaborador();
		}
		if($IdRol == "sys.ope" || $IdRol == "sys.sup"){
			$IdPadre = $o_Colaborador->getIdPadre();
		}
	}
	
	$o_ObjectBeanS = new SucursalBean();
	$o_ObjectBeanS->setIdAdministrador($IdPadre);
	
	$o_class = new SucursalDP($o_ObjectBeanS);
	$a_o_ObjectBeanS = $o_class->select();
	
	
	if(array($a_o_ObjectBeanS) && count($a_o_ObjectBeanS)>0){
		foreach ($a_o_ObjectBeanS as $key => $ObjectBeanS){
			$Descripcion = $ObjectBeanS->getDescripcion();
		}
	}
	
	
 
 ?>
 
<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Adelanto</li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Ficha de Adelanto Sueldo</i></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
     
  <tr>
    <td valign="top">
      <form id="form1" name="form1" method="POST">
      <input type="hidden" name="control" value="1">
        <table hspace="20px" class="marco" width="99%">
          <tr>
            <td valign="top">
              <table width="100%" border="0" cellpadding="5" cellspacing="0" style="background: #E3E9E2">
          		<tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos Generales</I></legend>
    					 <table width="100%" border="0" cellspacing="6" cellpadding="0">
							  <tr>
							  
								<td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtAdministrador" >Sucursal</label></td>
								<td nowrap="nowrap">
								<label class="label"><?php echo $Descripcion;?></label>
								</td>
								
							</tr>	
							  <tr>
                  				<td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtAdministrador" >Representante</label></td>
  								 <td nowrap="nowrap"><label class="label"><?php echo $NombreCompleto;?></label>
                 				</td>
                				<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
                 			    <td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtMonto" >Monto</label></td>
  								<td nowrap="nowrap"><input class="text required" type="text" name="Monto" id="Monto" size="10" maxlength="10" value="<?php echo $o_ObjectBean->getMonto();?>"/></td>
  								
							  </tr>
							  <tr>
							    <td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtEstado" >Estado</label></td>
								<td nowrap="nowrap" width="38%">
								   <select name="cboEstado" id="cboEstado" type="text" class="combo" onchange="acutalizarEspecialidad('cboEspecialidad',this)"/> 
									  <option value="" >Selecione</option>
									  <option value="A" <?php  if($o_ObjectBean->getEstado() == 'A') echo "selected='selected'"?>>Activo</option>
									  <option value="I" <?php  if($o_ObjectBean->getEstado() == 'I') echo "selected='selected'"?>>Inactivo</option>
							  		</select>
								</td>
								<td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
                 			    <td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtFechaAdelanto" >Fecha Adelanto</label></td>
  								<td nowrap="nowrap"><label><?php echo $o_ObjectBean->getFechaAdelanto()?></label></td>
							  </tr>
						</table>
						 <table width="100%" border="0" cellspacing="0" cellpadding="0">
							  <tr>
								 <td><img src="/images/common/spacer.gif" width="10"></td>
							  </tr>
							  <tr>
								<td align="center">
								  <input type="hidden" name="typeSubmit" id="typeSubmit">
								  <!--<input class="button" type="submit" value="Grabar y Nuevo" onclick="$('typeSubmit').value='add';"/>-->
								  <input class="button" type="submit" value="Grabar" onclick="$('typeSubmit').value='list';">
								  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll();"/>
								</td>
							  </tr>
							  <tr>
								<td height="10">&nbsp;</td>
							  </tr>
							</table>
    					</fieldset>				
    				</td>
                </tr>
      </table>
      </form>
			<script type="text/javascript">
				var valid = new Validation('form1', {immediate : true});
			</script>
    </td>
  </tr>
</table>
